abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Erik Hansen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ABDERA-418) Update wstx-asl dependency to 4.x
Date Mon, 06 Jul 2015 18:14:05 GMT

    [ https://issues.apache.org/jira/browse/ABDERA-418?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14615427#comment-14615427
] 

Erik Hansen commented on ABDERA-418:
------------------------------------

While dependency override may be possible in this scenario, we're talking about a major version
jump from 3 to 4 which could mean everything from interface to implementation changes. I believe
I tested this at the time with no success in getting it to work at runtime. I have since moved
on to other projects and no longer have a stable environment to immediately replicate these
tests for more detail.

> Update wstx-asl dependency to 4.x
> ---------------------------------
>
>                 Key: ABDERA-418
>                 URL: https://issues.apache.org/jira/browse/ABDERA-418
>             Project: Abdera
>          Issue Type: Dependency upgrade
>    Affects Versions: 1.1.3
>            Reporter: Erik Hansen
>            Priority: Blocker
>
> The current version of wstx-asl 3.2.6 includes a specific version of stax2 in the artifact
that conflicts with other libraries (such as Jackson) depending on a different version of
stax2.  wstx-asl 4.x properly depends on stax2 rather than including in its own artifact.
 Updating the version of dependency wstx-asl would resolve this dependency conflict with other
projects.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message